View Issue Details

IDProjectCategoryView StatusLast Update
0003146unrealircdpublic2007-04-18 07:47
ReportervonitsanetAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS-OS Version-
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003146: Modes O , S not rejected for modes-on-connect
Description-FBSD6.unrealircd.testnet- *** Notice -- error: unrealircd.conf:142: set::modes-on-oper may not include mode 'O'
-
-FBSD6.unrealircd.testnet- *** Notice -- error: unrealircd.conf:142: set::modes-on-oper may not include mode 'S'

but no errors on modes-on-connect
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002331 resolvedstskeeps Fake SSL Users 
child of 0003111 closed 3.2.7 Release 

Activities

syzop

2006-12-16 10:44

administrator   ~0012828

Roger, will do that in 3.2.7 :)

djGrrr

2007-01-01 14:49

reporter   ~0012965

i have a cvs copy modified to do this check the same way the modes-on-oper work, but I can't make the patch atm because my isp's router is not working properly.

My modification restricts quite a few modes that normal users shouldn't be able to get and mods that require doing something extra to get, like rtz (oOaANCrzSgHhqtW).

The error message is changed to the way mods-on-oper does it:
* Loading IRCd configuration ..
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'o'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'O'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'a'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'A'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'N'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'C'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'r'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'z'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'S'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'g'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'H'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'h'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'q'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 't'
[error] unrealircd.conf:218: set::modes-on-connect may not include mode 'W'
[error] 15 errors encountered
[error] IRCd configuration failed to pass testing

2007-01-01 15:31

 

modes-on-connect_restrict.patch (1,298 bytes)

djGrrr

2007-01-01 15:32

reporter   ~0012966

patch added :)

vonitsanet

2007-04-16 13:39

reporter   ~0013467

*bumb*

stskeeps

2007-04-16 16:12

reporter   ~0013468

Can someone confirm the patch added solves this problem (other than the coder?)

Grunt

2007-04-16 23:06

reporter   ~0013470

Will test it on my computer later today. Going to college now.

stskeeps

2007-04-18 07:47

reporter   ~0013518

Patched in .2359

Issue History

Date Modified Username Field Change
2006-12-16 10:05 vonitsanet New Issue
2006-12-16 10:44 syzop Relationship added child of 0003111
2006-12-16 10:44 syzop Note Added: 0012828
2007-01-01 14:49 djGrrr Note Added: 0012965
2007-01-01 15:31 djGrrr File Added: modes-on-connect_restrict.patch
2007-01-01 15:32 djGrrr Note Added: 0012966
2007-04-16 13:39 vonitsanet Note Added: 0013467
2007-04-16 16:12 stskeeps Note Added: 0013468
2007-04-16 23:06 Grunt Note Added: 0013470
2007-04-18 05:13 stskeeps Status new => acknowledged
2007-04-18 07:47 stskeeps Status acknowledged => resolved
2007-04-18 07:47 stskeeps Fixed in Version => 3.3-alpha0
2007-04-18 07:47 stskeeps Resolution open => fixed
2007-04-18 07:47 stskeeps Assigned To => stskeeps
2007-04-18 07:47 stskeeps Note Added: 0013518
2007-04-30 00:56 stskeeps Relationship added has duplicate 0002331